Chore: Use self-documenting long options in Docker startup scripts (#7275)

This commit is contained in:
Trenton H 2024-07-16 10:27:12 -07:00 committed by GitHub
parent b93c970635
commit aef387ed69
No known key found for this signature in database
GPG Key ID: B5690EEEBB952194
2 changed files with 12 additions and 10 deletions

View File

@ -10,8 +10,8 @@ map_uidgid() {
local -r usermap_new_gid=${USERMAP_GID:-${usermap_original_gid:-$usermap_new_uid}} local -r usermap_new_gid=${USERMAP_GID:-${usermap_original_gid:-$usermap_new_uid}}
if [[ ${usermap_new_uid} != "${usermap_original_uid}" || ${usermap_new_gid} != "${usermap_original_gid}" ]]; then if [[ ${usermap_new_uid} != "${usermap_original_uid}" || ${usermap_new_gid} != "${usermap_original_gid}" ]]; then
echo "Mapping UID and GID for paperless:paperless to $usermap_new_uid:$usermap_new_gid" echo "Mapping UID and GID for paperless:paperless to $usermap_new_uid:$usermap_new_gid"
usermod -o -u "${usermap_new_uid}" paperless usermod --non-unique --uid "${usermap_new_uid}" paperless
groupmod -o -g "${usermap_new_gid}" paperless groupmod --non-unique --gid "${usermap_new_gid}" paperless
fi fi
} }
@ -42,7 +42,7 @@ custom_container_init() {
fi fi
# Make sure custom init directory has files in it # Make sure custom init directory has files in it
if [ -n "$(/bin/ls -A "${custom_script_dir}" 2>/dev/null)" ]; then if [ -n "$(/bin/ls --almost-all "${custom_script_dir}" 2>/dev/null)" ]; then
echo "[custom-init] files found in ${custom_script_dir} executing" echo "[custom-init] files found in ${custom_script_dir} executing"
# Loop over files in the directory # Loop over files in the directory
for SCRIPT in "${custom_script_dir}"/*; do for SCRIPT in "${custom_script_dir}"/*; do
@ -86,13 +86,13 @@ initialize() {
"${CONSUME_DIR}"; do "${CONSUME_DIR}"; do
if [[ ! -d "${dir}" ]]; then if [[ ! -d "${dir}" ]]; then
echo "Creating directory ${dir}" echo "Creating directory ${dir}"
mkdir --parents "${dir}" mkdir --parents --verbose "${dir}"
fi fi
done done
local -r tmp_dir="${PAPERLESS_SCRATCH_DIR:=/tmp/paperless}" local -r tmp_dir="${PAPERLESS_SCRATCH_DIR:=/tmp/paperless}"
echo "Creating directory scratch directory ${tmp_dir}" echo "Creating directory scratch directory ${tmp_dir}"
mkdir --parents "${tmp_dir}" mkdir --parents --verbose "${tmp_dir}"
set +e set +e
echo "Adjusting permissions of paperless files. This may take a while." echo "Adjusting permissions of paperless files. This may take a while."
@ -102,7 +102,7 @@ initialize() {
"${DATA_DIR}" \ "${DATA_DIR}" \
"${MEDIA_ROOT_DIR}" \ "${MEDIA_ROOT_DIR}" \
"${CONSUME_DIR}"; do "${CONSUME_DIR}"; do
find "${dir}" -not \( -user paperless -and -group paperless \) -exec chown paperless:paperless {} + find "${dir}" -not \( -user paperless -and -group paperless \) -exec chown --changes paperless:paperless {} +
done done
set -e set -e
@ -127,7 +127,7 @@ install_languages() {
for lang in "${langs[@]}"; do for lang in "${langs[@]}"; do
pkg="tesseract-ocr-$lang" pkg="tesseract-ocr-$lang"
if dpkg -s "$pkg" &>/dev/null; then if dpkg --status "$pkg" &>/dev/null; then
echo "Package $pkg already installed!" echo "Package $pkg already installed!"
continue continue
fi fi
@ -138,7 +138,7 @@ install_languages() {
fi fi
echo "Installing package $pkg..." echo "Installing package $pkg..."
if ! apt-get -y install "$pkg" &>/dev/null; then if ! apt-get --assume-yes install "$pkg" &>/dev/null; then
echo "Could not install $pkg" echo "Could not install $pkg"
exit 1 exit 1
fi fi
@ -148,7 +148,7 @@ install_languages() {
echo "Paperless-ngx docker container starting..." echo "Paperless-ngx docker container starting..."
gosu_cmd=(gosu paperless) gosu_cmd=(gosu paperless)
if [ "$(id -u)" == "$(id -u paperless)" ]; then if [ "$(id --user)" == "$(id --user paperless)" ]; then
gosu_cmd=() gosu_cmd=()
fi fi

View File

@ -13,7 +13,7 @@ wait_for_postgres() {
# Disable warning, host and port can't have spaces # Disable warning, host and port can't have spaces
# shellcheck disable=SC2086 # shellcheck disable=SC2086
while [ ! "$(pg_isready -h ${host} -p ${port})" ]; do while [ ! "$(pg_isready --host ${host} --port ${port})" ]; do
if [ $attempt_num -eq $max_attempts ]; then if [ $attempt_num -eq $max_attempts ]; then
echo "Unable to connect to database." echo "Unable to connect to database."
@ -25,6 +25,7 @@ wait_for_postgres() {
attempt_num=$(("$attempt_num" + 1)) attempt_num=$(("$attempt_num" + 1))
sleep 5 sleep 5
done done
echo "Connected to PostgreSQL"
} }
wait_for_mariadb() { wait_for_mariadb() {
@ -51,6 +52,7 @@ wait_for_mariadb() {
attempt_num=$(("$attempt_num" + 1)) attempt_num=$(("$attempt_num" + 1))
sleep 5 sleep 5
done done
echo "Connected to MariaDB"
} }
wait_for_redis() { wait_for_redis() {